%define name    qmidictl
%define version 0.5.5
%define release 17

%define _prefix	/usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Summary:	A MIDI Remote Controller via UDP/IP Multicast
Name: qmidictl
Version: 0.5.5
Release: 17.rncbc.suse
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
URL:		http://qmidictl.sourceforge.net/
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	qt5-qtbase-devel >= 5.1, qt5-linguist
%else
BuildRequires:	pkg-config
BuildRequires:	libqt5-qtbase-devel >= 5.1, libqt5-linguist
%endif

%description
QmidiCtl is a MIDI remote controller application that sends MIDI data
over the network, using UDP/IP multicast. Inspired by multimidicast
(http://llg.cubic.org/tools) and designed to be compatible with ipMIDI
for Windows (http://nerds.de).

%prep
%setup
[ -x ./autogen.sh ] && ./autogen.sh

%build
%configure
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
#dir %{_datadir}/applications
%dir %{_datadir}/applications/hildon
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/26x26
%dir %{_datadir}/icons/hicolor/26x26/hildon
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/hildon
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/hildon
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/hildon
%dir %{_datadir}/metainfo
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}
%{_datadir}/applications/hildon/%{name}.desktop
%{_datadir}/icons/hicolor/26x26/hildon/%{name}.png
%{_datadir}/icons/hicolor/32x32/hildon/%{name}.png
%{_datadir}/icons/hicolor/48x48/hildon/%{name}.png
%{_datadir}/icons/hicolor/64x64/hildon/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/man/man1/%{name}*.1.gz

%changelog
* Fri Jul 12 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.5.5
- Summer'19 release.
* Thu Apr 11 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.5.4
- Spring-Break'19 release.
* Tue Jan  8 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.5.3
- Early Winter'19 release.
* Sat Jun 30 2018 Rui Nuno Capela <rncbc@rncbc.org> 0.5.2
- Early Summer'18 release.
* Thu Jan 11 2018 Rui Nuno Capela <rncbc@rncbc.org> 0.5.1
- Early Winter'18 release.
* Sat Dec 16 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.5.0
- End of Autumn'17 release.
* Thu Apr 27 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.4.3
- Pre-LAC2017 release frenzy.
* Mon Nov 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.2
- A Fall'16 release.
* Wed Sep 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.1
- End of Summer'16 release.
* Tue Apr  5 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.0
- Spring'16 release frenzy.
* Mon Sep 21 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.3.0
- Summer'15 release frenzy.
* Mon Mar 23 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.2.0
- Pre-LAC2015 pre-season release.
* Tue Dec 31 2013 Rui Nuno Capela <rncbc@rncbc.org> 0.1.1
- A fifth of a Jubilee release.
* Fri Sep  3 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.1.0
- Second public release.
* Mon May 24 2010 Rui Nuno Capela <rncbc@rncbc.org>
- Standard desktop icon fixing (Fremantle/Hildon).
* Mon Apr 26 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.0.9
- MIDI controller assignment configuration debut.
* Thu Mar 11 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.0.1
- Attempt to comply with maemo.org extras-testing promotion.
* Sun Mar  7 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.0.1
- Created initial qmidictl.spec
